
loc path_inf "${WorkFolder_version}"
loc path_figures "${path_figures}"
loc path_table "${path_table}"


use "`path_table'\Base_16_26_36_${title}.dta", clear

gen Pnq26nd16 =nq26nd16 *100
mat statnq=J(6,9,.)
forvalues j=1/6 {
	mat statnq[`j',1]=`j'
	sum ss   if J==`j' & year ==2036 & rho==1, mean
	mat statnq[`j',2]=r(mean)
	sum case if J==`j' & year ==2036 & rho==1, mean
	mat statnq[`j',3]=r(N)
	sum rho  if J==`j' & year ==2036 & case==1, mean
	mat statnq[`j',4]=r(N)
	sum Pnq26nd16 if J==`j' & year ==2036 
	mat statnq[`j',5]=r(N)
	mat statnq[`j',6]=r(min)
	mat statnq[`j',7]=r(max)
	sum Pnq26nd16  if J==`j' & case ==4 & year ==2036 
	mat statnq[`j',8]=r(mean)
}
preserve
drop _all
svmat statnq
export excel using "`path_inf'\Stats_Debt_Relief.xlsx" , sheet("${title}") cell(a18) sheetmodify firstrow(variables)
restore
loc grade1 =005
loc grade2 =055
loc grade3 =095
loc grade4 =125
loc grade5 =165
loc grade6 =200
loc thickness="thick"
loc Tnsupsost=6
loc Tnrho=3

forvalues nss=1/`Tnsupsost' {
	loc col`nss' "`grade`nss'' `grade`nss'' `grade`nss''"
	loc ss_`nss'=0.01+(`nss'-1)/200
	loc tss`nss'=subinstr("`ss_`nss''",".","",.) 
	if `nss'==1 loc tss`nss'="s2026"
}

loc tit1="s2026"
loc tit2="015"
loc tit3="02"
loc tit4="025"
loc tit5="03"
loc tit6="035"

sort base year case 
by base year: egen RGNP_max_a=max(rgnp_fm_sr)
by base year: egen RGNP_min_a=min(rgnp_fm_sr)
by base year: egen NGNP_max_a=max(ngnp_fm_sr)
by base year: egen NGNP_min_a=min(ngnp_fm_sr)
by base year: egen RGNP_max_d=max(RGNP)
by base year: egen RGNP_min_d=min(RGNP)
by base year: egen NGNP_max_d=max(NGNP)
by base year: egen NGNP_min_d=min(NGNP)
duplicates report base J rho year
duplicates drop base J rho year, force
duplicates report base case year 
sort base case year 
gen RGNP_gov=.
replace RGNP_gov=rgnp_bm if year ==2016 & J==-1
replace RGNP_gov=RGNP_gov[_n-1]*(1+dp_rgdp_bm) if year ==2017 & J==-1
replace RGNP_gov=RGNP_gov[_n-1]*(1-3.89754/100) if year ==2018 & J==-1
replace RGNP_gov=RGNP_gov[_n-1]*(1-3.3138799/100) if year ==2019 & J==-1
replace RGNP_gov=RGNP_gov[_n-1]*(1-1.44451516059/100) if year ==2020 & J==-1
replace RGNP_gov=RGNP_gov[_n-1]*(1-1.47259109233/100) if year ==2021 & J==-1
replace RGNP_gov=RGNP_gov[_n-1]*(1-0.98773113341/100) if year ==2022 & J==-1
replace RGNP_gov=RGNP_gov[_n-1]*(1-0.48773113341/100) if year ==2023 & J==-1
replace RGNP_gov=RGNP_gov[_n-1]*(1+0.01226886659/100) if year ==2024 & J==-1
replace RGNP_gov=RGNP_gov[_n-1]*(1+0.51226886659/100) if year ==2025 & J==-1
replace RGNP_gov=RGNP_gov[_n-1]*(1+1.01226886659/100) if year ==2026 & J==-1

gen NGNP_gov=RGNP_gov*cum_inf

foreach var of varlist RGNP* NGNP* {
	replace `var'= `var'/1000
}

loc list_gnp "RGNP NGNP" 
loc list_rtype "rcap " 
loc titRGNP "Real GNP"
loc titNGNP  "Nominal GNP"
noi sum NGNP_gov NGNP_max_a NGNP_min_a NGNP_max_d NGNP_min_d R
noi sum RGNP_gov RGNP_max_a RGNP_min_a RGNP_max_d RGNP_min_d R
loc rnom "30 (5) 90"
foreach rn of local list_gnp {
	foreach grtype of local list_rtype {
		twoway ///
			( ///
				`grtype' `rn'_max_a `rn'_min_a year if J==-1, ///
				legend(label(1 "Range of our projections (2016-2026)"))		///
			) ///
			(	///
				line `rn'_gov year if J==-1, legend(label(2 "Fiscal Plan projections"))		///
				lwidth(med`thickness' )   ///
			) /// 
			, title("`tit`rn''") ytitle("Billions of dollars") legend( symxsize(*.5)  rows(1) ) ylabel(`rnom', grid)
		graph export  "`path_figures'\png\\${title}_`rn'_1626_`grtype'.png", replace
		graph export  "`path_figures'\wmf\\${title}_`rn'_1626_`grtype'.wmf", replace
	}
}	

foreach rn of local list_gnp {
	forvalues nrho =1/`Tnrho' {
		loc rho=0.8+(`nrho'-1)/10
		loc trho=subinstr("`rho'",".","0",.) 
		foreach grtype of local list_rtype {
			twoway ///
				( ///
					`grtype' `rn'_max_a `rn'_min_a year if J==-1, ///
					legend(label(1 "Range of our projections (2016-2026)")) color(navy)  ///
				) ///
				(	///
					`grtype' `rn'_max_d `rn'_min_d year if J==0 & rho>=`rho'-0.00001 & rho<=`rho'+0.00001 ///
					, legend(label(2 "Range of our projections (2026-2036)")) color(dkgreen)  ///
				) /// 
				( ///
					line `rn'_gov year if J==-1, legend(label(3 "Fiscal Plan projections")) ///
					lwidth(med`thickness' ) color(red) ///
				) ///
				, title("`tit`rn''") ytitle("Billions of dollars") legend(size(*0.5) symxsize(*.5)  rows(1)) ylabel(`rnom', grid) 
			graph export  "`path_figures'\png\\${title}_`rn'_1636_NDR_rho_`trho'_`grtype'.png", replace
			graph export  "`path_figures'\wmf\\${title}_`rn'_1636_NDR_rho_`trho'_`grtype'.wmf", replace
		}
	}	
}	
	
loc sstit1="s2026"
loc sstit2="1.5%"
loc sstit3="2%"
loc sstit4="2.5%"
loc sstit5="3%"
loc sstit6="3.5%"

foreach rn of local list_gnp {
	forvalues nss=1/`Tnsupsost' {
		forvalues nrho =1/`Tnrho' {
			foreach grtype of local list_rtype {
				* RGNP/NGNP
				twoway ///
					( ///
						`grtype' `rn'_max_a `rn'_min_a year if J==-1, ///
						legend(label(1 "Range of our projections (2016-2026)")) color(navy) ///
					) ///
					(	///
						`grtype' `rn'_max_d `rn'_min_d year if J==`nss' & rho>=`rho'-0.00001 & rho<=`rho'+0.00001 ///
						, legend(label(2 "Range of our projections (2026-2036)")) color(dkgreen) ///
					) /// 
					( ///
						line `rn'_gov year if J==-1, legend(label(3 "Fiscal Plan projections")) ///
						lwidth(med`thickness' ) color(red) ///
					) ///
					, title("`tit`rn'', s= `sstit`nss''" ) ytitle("Billions of dollars") legend(size(*0.5) symxsize(*.5) rows(1)) ylabel(`rnom', grid) 
				graph save `rn'_nss`nss'_nrho_`nrho'_`grtype'.gph , replace 
			}
		}
	}
}

foreach rn of local list_gnp {
	forvalues nrho =1/`Tnrho' {
		loc rho=0.8+(`nrho'-1)/10
		loc trho=subinstr("`rho'",".","0",.) 
		foreach grtype of local list_rtype {
			grc1leg `rn'_nss1_nrho_`nrho'_`grtype'.gph `rn'_nss2_nrho_`nrho'_`grtype'.gph `rn'_nss3_nrho_`nrho'_`grtype'.gph `rn'_nss4_nrho_`nrho'_`grtype'.gph `rn'_nss5_nrho_`nrho'_`grtype'.gph `rn'_nss6_nrho_`nrho'_`grtype'.gph , iscale(.4) 
			graph export  "`path_figures'\png\\${title}_`rn'_1636_ss_rho_`trho'_`grtype'.png", replace
			graph export  "`path_figures'\wmf\\${title}_`rn'_1636_ss_rho_`trho'_`grtype'.wmf", replace
		}
	}
}

foreach rn of local list_gnp {
	forvalues nss=1/`Tnsupsost' {
		forvalues nrho =1/`Tnrho' {
			foreach grtype of local list_rtype {
				erase `rn'_nss`nss'_nrho_`nrho'_`grtype'.gph 
			}
		}
	}
}

